例3-2
USE BookShopDb    --将当前数据库设置为BookShopDb,以便在该数据库中建表
GO
CREATE TABLE  Category
(
   CategoryID  int IDENTITY(1,1) PRIMARY KEY, --类别ID，自动编号（标识列）
   CategoryName  varchar(50)  not null        --类别名称，必须输入
)
GO
例3-3
USE BookShopDb    --将当前数据库设置为BookShopDb,以便在该数据库中建表
GO
CREATE TABLE  Publisher
(
   PublisherID  int IDENTITY(1,1) PRIMARY KEY,--出版社ID，自动编号（标识列）
   PublisherName  varchar(50)  not null        --出版社名称，必须输入
)
GO
例3-4
CREATE DATABASE  test
GO
USE test    --将当前数据库设置为test,以便在该数据库中建表
GO
CREATE TABLE  Mytable
(
Col1   char(8) not null,  -- 非空
Col2   char(6) not null,   -- 非空
Col3  int   ,        --默认可为空
constraint  pk_Mytable PRIMARY KEY(col1,col2) –主键约束，约束名pk_Mytable)
GO

例3-5
USE BookShopDb    --将当前数据库设置为BookShopDb,以便在该数据库中建表
GO 
CREATE TABLE BookInfo              /*创建BookInfo数据表*/
(
  BookID  char(15) PRIMARY KEY,                  --书号 ，主键
  BookName  varchar(100) not null,               --书名
  Author   varchar(50) not null,                  --作者
  ISBN   char(13)   ,                                --ISBN,null可以省略
  PublishDate   datetime  not null,               --出版日期
  PublisherID   int  not null  REFERENCES Publisher(PublisherID),--外键
  CategoryID  int   not null REFERENCES Category(CategoryID),--外键
  Price  money  ,                                --价格
  Content  text                                       --介绍
)
GO
例3-6
USE BookShopDb    --将当前数据库设置为BookShopDb,以便在该数据库中建表
GO         
Drop table userInfo
CREATE  TABLE  UserInfo          --创建用户表
(
    UserID  char(3)   PRIMARY KEY  CHECK(UserID LIKE '[0-9][0-9][0-9]'), 
    UserName      char(10)   UNIQUE,                        --用户名，唯一约束
    Sex            char(2)  CHECK(Sex in ('男','女')),   --性别，Check约束
    Age            int  not null,                            --年龄,非空约束 
    hiredate      datetime ,                                 --入职日期
    tele           char(15),                                  --电话
    Addr           varchar(100)  DEFAULT  ‘广东广州’        --地址，默认约束 
)
GO

例3-7

USE BookShopDb    --将当前数据库设置为BookShopDb,以便在该数据库中建表
GO 
CREATE TABLE SalesMaster    /*创建SalesMaster销售主表*/
(SalesMasterID int identity primary key,           --销售id,自动增长，主键
 SalesDate datetime not null,                        --销售日期
 UserID char(3) not null),
  CONSTRAINT  fk_UserID  FOREIGN KEY (UserID) REFERENCES   UserInfo(UserID) ON DELETE  CASCADE


例3-8

create table SalesDetails                       /* 创建SalesDetails销售明细表*/
(SalesDetailsID int identity primary key,        -- 销售明细ID,主键*/
 SalesMasterID int not null,                        -- 销售ID,外键 
 BookID  char(15) not null,                          --书号 外键
 Quantity int not null,                               --销售数量
 Discount float ,                                      --折扣
 Price    money                                         --销售价格
)
GO
  alter table SalesDetails
  add constraint fk_SalesMasterID foreign key(SalesMasterID)
  references SalesMaster(SalesMasterID)
